GetPciDeviceCandidatesForAttachingVm
GetPciDeviceCandidatesForAttachingVm
/zstack/v1/vm-instances/{vmInstanceUuid}/candidate-pci-devicesOperation ID
GetPciDeviceCandidatesForAttachingVmSince
2.1Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Path Parameters
vmInstanceUuidStringRequiredThe VM instance UUID.
Query Parameters
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
typesListOptional. The types.
Responses
200 OKOn success, this API returns the following response structure.
successbooleanRequiredWhether the operation succeeded.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
inventoriesListRequiredSee inventories.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
hostUuidStringRequiredThe host UUID.
parentUuidStringRequiredThe UUID of the physical PCI device.
vmInstanceUuidStringRequiredThe VM instance UUID.
pciSpecUuidStringRequiredThe UUID of the PCI device specification.
vendorIdStringRequiredThe vendor ID.
deviceIdStringRequiredThe device ID.
subvendorIdStringRequiredThe sub-vendor ID.
subdeviceIdStringRequiredThe sub-device ID.
pciDeviceAddressStringRequiredThe PCI device address.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
typePciDeviceTypeRequiredSee type.
GPU_Video_ControllerPciDeviceTypeRequiredThe GPU video controller.
GPU_Audio_ControllerPciDeviceTypeRequiredThe GPU audio controller.
GPU_3D_ControllerPciDeviceTypeRequiredThe GPU 3D controller.
Moxa_DevicePciDeviceTypeRequiredThe MOXA card.
GenericPciDeviceTypeRequiredThe general device.
statePciDeviceStateRequiredSee state.
EnabledPciDeviceStateRequiredThe PCI device is enabled.
DisabledPciDeviceStateRequiredThe PCI device disabled.
statusPciDeviceStatusRequiredSee status.
ActivePciDeviceStatusRequiredThe PCI device is active.
AttachedPciDeviceStatusRequiredThe PCI device is attached.
SystemPciDeviceStatusRequiredThe PCI device is managed by the system.
virtStatusPciDeviceVirtStatusRequiredSee virtStatus.
UNVIRTUALIZABLEPciDeviceVirtStatusRequiredCannot be virtualized.
SRIOV_VIRTUALIZABLEPciDeviceVirtStatusRequiredSupports SR-IOV.
VFIO_MDEV_VIRTUALIZABLEPciDeviceVirtStatusRequiredSupports VFIO MDEV.
SRIOV_VIRTUALIZEDPciDeviceVirtStatusRequiredHas been virtualized by SR-IOV.
VFIO_MDEV_VIRTUALIZEDPciDeviceVirtStatusRequiredHas been virtualized by VFIO MDEV.
SRIOV_VIRTUALPciDeviceVirtStatusRequiredThe SR-IOV device.
UNKNOWNPciDeviceVirtStatusRequiredThe status is unknown.
metaDataPciDeviceMetaDataRequiredSee metadata.
metaDataStringRequiredThe metadata.
metaDataEntriesListRequiredSee metaDataEntries.
keyStringRequiredThe key.
valueStringRequiredThe value.
opPciDeviceMetaDataOperatorRequiredSee op.
EqualPciDeviceMetaDataOperatorRequiredThe equal operator.
UnequalPciDeviceMetaDataOperatorRequiredThe not equal operator.
matchedPciDeviceOfferingRefListRequiredSee matchedPciDeviceOfferingRef.
pciDeviceUuidStringRequiredThe PCI device UUID.
pciDeviceOfferingUuidStringRequiredThe PCI device offering UUID.
mdevSpecRefsListRequiredSee mdevSpecRefs.
pciDeviceUuidStringRequiredThe PCI device UUID.
mdevSpecUuidStringRequiredThe UUID of the MDEV device specification.
effectiveBooleanRequiredWhether the current MDEV device specification is used to segment the PCI device.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
errorErrorCodeRequiredSee error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
